

.mobile-navbar-icons{
    display: none !important;
}














/* ======== */

.cart-all-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 18rem;
}

.cart-text-and-icon-container:link,
.cart-text-and-icon-container:visited {
    /* width: 30%; */
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: #939393;
    position: relative;
}
.cart .d-flex{
    gap: 20px;
}

.cart-text {
    margin-bottom: unset;
    white-space: nowrap;
}

.cart-icon-container {
    width: 4rem;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #cbeffc;
    border-radius: 50%;
}

.cart-icon-container:first-child {
    padding: 15px;
}

.cart-icon-container svg {
    width: 2.5rem;
    height: 2.5rem;
}

.cart-active:link,
.cart-active:visited {
    color: inherit;
    font-weight: 600;
}

.cart-active .cart-icon-container {
    background-color: var(--secondary-text-color--);
}

.empty-cart{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

.empty-cart img{
  width: 200px;
}


.cart-all-container,
.cart-text-and-icon-container:nth-child(2),
.cart-icon-container,
svg {
    /*stroke: #939393 !important;*/
}
.cart_discount{
    color: red;
}
.cart_head_count{
    /* border: 1px solid #eee; */
    background: #673c79;
    padding: 2px 6px;
    font-size: 13px;
    border-radius: 5px;
    font-weight: 100;
    color: #fff;
}
.cart-all-container,
.cart-text-and-icon-container:nth-child(3),
.cart-icon-container,
svg
path {
    /*stroke: #939393 !important;*/
}

.cart-active .cart-icon-container:first-child svg g path {
    fill: #fff;
}

.cart-all-container .cart-active:nth-child(2) .cart-icon-container svg {
    stroke: #fff !important;
}

.cart-all-container .cart-active:nth-child(3) .cart-icon-container svg path {
    stroke: #fff !important;
}

.cart-text-and-icon-container.cart-text-and-icon-container.cart-text-and-icon-container:not(
    :last-child
  )::after {
    content: "";
    position: absolute;
    display: flex;
    background-color: #cbeffc;
    width: 14rem;
    min-width: 9rem;
    height: 2px;
    transform: translateX(-100%);
    left: -16%;
    cursor: initial;
}

.cart-second{
    margin-top: 80px;
    padding-bottom: 100px;
}


.cart-heading {
    display: flex;
    font-weight: 600;
    font-size: var(--bigtitle-size);
    margin-bottom: 20px;
}

.cart-heading-underline {
    margin-top: -1rem;
}

.triangle {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.triangle-icon {
    margin-right: -4rem;
}

.mb-0 {
    margin-bottom: unset;
}

.cart {
    display: flex;
    gap: 1rem;
    padding-bottom: 3rem;
}

.cart-body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 7px;
}
.cart-img-container:link,
.cart-img-container:visited {
    text-decoration: none;
    width: 20%;
    display: flex;
}

.cart-title:link,
.cart-title:visited {
    text-decoration: none;
    color: inherit;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.cart-discount-box {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.cart-img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.cart-discount-new-price-box {
    display: flex;
    flex-direction: column;
}

.cart-discount {
    width: 2.7rem;
    height: 2.5rem;
    background-color: #e23837;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}

.cart-old-price {
    color: #cbcbcb;
    position: relative;
}

.cart-old-price::after {
    content: "";
    position: absolute;
    background-color: #cbcbcb;
    width: calc(100% + 0.5rem);
    height: 1px;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
}

.cart-new-price {
    font-size: 1.7rem;
    font-weight: 600;
    color: #01adef;
    position: relative;
}

.cart-new-price::after {
    content: url(../img/currency.svg);
    position: absolute;
    margin-top: -1rem;
    margin-right: 0.3rem;
}

.increase-decrease {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-right: auto;
    border: 1px solid #cdcdcd;
    border-radius: 10px;
    width: 16%;
}
.swiper-price-container{
    align-items: flex-start;
}

.increase-decrease > * {
    cursor: pointer;
    padding: 12px;
    font-weight: 600;
}

.cart-summary-box{
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 20px;
    border: 1px solid #d9d9d9;
    border-radius: 10px;
}


.cart-left-container *{
    font-size: var(--title-size);
    font-family: 'Samim-FD';
}

.before-cart {
    width: 100%;
    border: 1px solid #cdcdcd;
    padding: 10px;
    border-radius: 12px;
    margin-bottom: 27px;
}

.before-cart .col-12:not(:last-child) .cart {
    border-bottom: 1px solid #cdcdcd;
    margin-bottom: 2rem;
}

.triangle {
    margin-bottom: 3.5rem;
}

.cart-main-item{
    display: flex;
    align-items: center;
    gap: 6px;
    width: 80%;
}

.each-cart-item {
    display: flex;
    align-items: center;
    padding-block: 20px;
    border-bottom: 1px solid #cecece;
}

.each-cart-item:last-child{
    border-bottom: unset;
}


.amout-discount {
    border: 1px solid currentColor;
    border-radius: 3.1rem;
    padding: 0.1rem 1rem;
    font-weight: 900;
}

.amout-discount + span {
    font-weight: 900;
}

.left .top {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-bottom: 1.5rem;
}

.left .bot {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    font-family: inherit;
}

.bot .cart-left-container input {
    width: 82%;
    padding: 0.2rem 1.5rem;
    border: none;
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.27);
    direction: ltr;
}

.bot .cart-left-container input:focus {
    outline: none;
}

.apply {
    background: #01adef;
    border: none;
    color: #fff;
    padding-inline: 0.7rem;
}


.btn-submit:active {
    transform: translateY(-0.3rem);
}

.price-bold {
    font-weight: 600 !important;
    color: #353535 !important;
}



/*.normal-price::after {*/
/*    content: url(../img/currency-gray.svg);*/
/*    margin-top: -0.5rem;*/
/*    margin-right: 0.2rem;*/
/*}*/


.cart-left-container span:last-child {
    display: flex;
    align-items: center;
}

.amout-discount {
    margin-left: 1rem;
}




@media only screen and (max-width: 1199px) {

    .increase-decrease {
        width: 23%;
    }

    .bot .cart-left-container input {
        width: 75%;
    }
}

@media only screen and (max-width: 991px) {

    .cart-first {
        margin-top: 0 !important;
    }


    .fix-section{
        display: none;
    }

    .bot .cart-left-container input {
        width: 90%;
    }

    .modal-form-group-container {
        flex-direction: column;
    }

    .modal-form-group-2 {
        width: 100%;
    }

    .modal-dialog {
        max-width: 50vw;
    }

    .modal-content {
        box-sizing: content-box;
    }

    .bot .cart-left-container input {
        width: 90%;
    }

    .left-flex {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        flex-direction: row-reverse !important;
        justify-content: space-between;
        align-items: center;
        padding: 2rem;
        background-color: #fff;
        border-top: 1px solid #f1f0f0;
        font-size: 1.4rem;
    }

    .order-address .container .row .col-12:last-child {
        margin-bottom: 9rem;
    }
    .left-flex .cart-left-container {
        flex-direction: column;
        align-items: flex-end;
    }

    .left-flex .cart-left-container span:last-child {
        font-size: 2.1rem;
    }

    .btn-submit:link,
    .btn-submit:visited {
        display: flex;
        align-items: center;
        padding: 0.5rem 1.8rem;
    }
}

@media only screen and (max-width: 767px) {



    .cart-first {
        margin-top: 139px;
    }

    .cart-main-item {
        width: 65%;
    }

    .increase-decrease {
        width: 30%;
    }

    .cart-all-container {
        gap: 9rem;
    }

    .cart-text-and-icon-container.cart-text-and-icon-container.cart-text-and-icon-container:not(
      :last-child
    )::after {
        width: 6rem;
        min-width: 4rem;
        left: -14%;
    }

    .cart-body {
        gap: 14px;
    }

    .bot .cart-left-container input {
        width: 85%;
    }

    .cart-all-container {
        justify-content: unset;
        padding-right: 8rem;
    }

    .cart-all-container > :not(.cart-active) {
        display: none;
    }

    .cart-text-and-icon-container.cart-text-and-icon-container.cart-text-and-icon-container:not(
      :last-child
    )::after {
        content: unset;
    }

    .triangle + .row {
        margin-bottom: 4rem;
    }

    .before-cart {
        border: unset;
    }

    .increase-decrease > * {
        padding: 0.6rem 1rem;
    }

    .triangle {
        padding-right: 3rem;
    }

    .cart-img-container:link,
    .cart-img-container:visited {
        min-width: 7rem;
    }
}

@media only screen and (max-width: 575px) {

    .cart-summary-box{
        display: none;
    }

    .fix-section {
        position: fixed;
        width: 100%;
        bottom: 0;
        background: #fff;
        padding-block: 10px 7px;
        z-index: 12;
        border: 2px solid #f8f8f8;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-inline: 14px;
    }

    .fix-price {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .all-fix-before-price {
        display: flex;
        gap: 9px;
        align-items: center;
    }


    .cart-main-item {
        width: 100%;
    }

    .cart-second {
        margin-top: 40px;
        padding-bottom: 20px;
    }

    .increase-decrease {
        width: fit-content;
    }

    .each-cart-item {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 15px;
    }

    .cart {
        flex-direction: column;
        gap: 2rem;
    }

    .increase-decrease {
        align-self: flex-end;
        margin-right: unset;
    }

    .before-cart .cart .d-flex {
        gap: 3rem;
    }

    .cart-heading-underline {
        margin-top: unset;
    }

    .modal-dialog {
        width: 100%;
        max-width: 100%;
    }

    .modal-content {
        border-radius: unset;
    }

    .amout-discount {
        display: none;
    }

    .left {
        margin-top: 1rem;
        border: unset;
        padding: 2rem 0.2rem;
    }

}

@media only screen and (max-width: 425px) {
    .bot .cart-left-container input {
        width: 78%;
    }

    .btn-close {
        margin-right: -3.2rem !important;
    }
}

@media only screen and (max-width: 320px) {

    .bot .cart-left-container input {
        width: 70%;
    }

    .cart-title:link,
    .cart-title:visited {
        -webkit-line-clamp: 3;
    }

    .cart-all-container {
        padding-right: 3rem;
    }
}
